<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class StateForDisabledServiceInEvc
 * Created:
 * oitc migrations create -p EventcorrelationModule StateForDisabledServiceInEvc
 *
 * Usage:
 * openitcockpit-update
 */
class StateForDisabledServiceInEvc extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {
        $table = $this->table('eventcorrelation_settings');
        $table->addColumn('status_disabled_service', 'integer', [
            'after'   => 'monitoring_system',
            'default' => 3, //unknown
            'limit'   => 2,
            'null'    => false
        ])->update();
    }
}
