angular.module('openITCOCKPIT')
    .controller('EventcorrelationsSummaryViewController', function($scope, $http, $stateParams, $timeout){
        $scope.id = $stateParams.id;

        $scope.init = true;

        $scope.loadEvcHost = function(){
            $http.get("/eventcorrelation_module/eventcorrelations/summary_view/" + $scope.id + ".json", {
                params: {
                    angular: true
                }
            }).then(function(result){
                $scope.evcHost = result.data.evcHost;
            });
        };

        $scope.setTemplateUrl = function(){
            var now = new Date();
            var templateUrl = "/eventcorrelation_module/eventcorrelations/summary_view_table/" + $scope.id + ".html";
            templateUrl += '?ts=' + now.getTime();
            $scope.templateUrl = templateUrl;
        };

        //Call backs for EVC Servicestatus tooltip
        $scope.showEvcServicestatusDelayed = function(serviceId){
            timer = $timeout(function(){
                //Method is in EvcServicestatusDirective
                $scope.showEvcServicestatus(serviceId);
            }, 500);
        };

        $scope.cancelEvcServicestatusDelayTimer = function(){
            $timeout.cancel(timer);
        };

        //Fire on page load
        $scope.loadEvcHost();
        $scope.setTemplateUrl();
    });
